﻿Public Class UserControl1
  Private Sub UserControl1_Load(ByVal sender As System.Object, _
    ByVal e As System.EventArgs) Handles MyBase.Load

    dlgOpenFile.Title = "好きな画像を選びましょう"
    dlgOpenFile.Filter = "画像|*.bmp;*.jpg;*.jpeg;*gif;*.ico|" & _
                               "ビットマップ|*.bmp|JPEG|*.jpg;*.jpeg|GIF|*.gif|ICO|*.ico"
  End Sub

  Private Sub Button1_Click(ByVal sender As System.Object, _
    ByVal e As System.EventArgs) Handles Button1.Click

    If dlgOpenFile.ShowDialog() = Windows.Forms.DialogResult.OK Then
      picDisplay.Image = System.Drawing.Image.FromFile(dlgOpenFile.FileName)
    End If
  End Sub

  Public Property ButtonText() As String
    Get
      Return Button1.Text
    End Get

    Set(ByVal value As String)
      Button1.Text = value
    End Set
  End Property

  Public Property ImageSize() As Windows.Forms.PictureBoxSizeMode
    Get
      Return picDisplay.SizeMode
    End Get

    Set(ByVal value As System.Windows.Forms.PictureBoxSizeMode)
      picDisplay.SizeMode = value
    End Set
  End Property

End Class
